Package Details: gog-risk-of-rain 2.1.0.6-3

Git Clone URL: https://aur.archlinux.org/gog-risk-of-rain.git (read-only, click to copy)
Package Base: gog-risk-of-rain
Description: Risk of Rain is an action platformer with roguelike elements.
Upstream URL: https://www.gog.com/game/risk_of_rain
Licenses: custom
Submitter: postblue
Maintainer: postblue (Runiq)
Last Packager: postblue
Votes: 2
Popularity: 0.003616
First Submitted: 2016-11-15 01:56
Last Updated: 2020-07-24 13:57

Latest Comments

postblue commented on 2020-07-24 13:56

@caltlgin Fixed, it was a typo (pkgdsc instead of pkgdesc)

postblue commented on 2020-06-17 08:50

When this PKGBUILD was first released, all the libraries where still in extra/multilib and could be installed with pacman. You can use an AUR helper if you want to install the ones only available in AUR (iirc makepkg uses pacman thus cannot install AUR dependencies by itself) or do just as you did and install lib32-libstdc++5 by yourself with the PKGBUILD you found in AUR.

murchu27 commented on 2020-06-13 12:11

Following on from the last comment, I found the missing lib32-libstdc++5 package here on AUR, and when I built that, and then built this package again, it worked for me. Is there any way to account for this in the PKGBUILD?

murchu27 commented on 2020-06-13 11:59

@postblue Could you elaborate on your point about uncommenting the [multilib] directory in /etc/pacman.conf? Here's a snippet from mine:

[multilib]
SigLevel = PackageRequired
Include = /etc/pacman.d/mirrorlist

Running makepkg in the same directory as the PKGBUILD and the .sh file gives this error:

==> Making package: gog-risk-of-rain 2.1.0.6-2 (Sat 13 Jun 2020 12:59:25)
==> Checking runtime dependencies...
==> Installing missing dependencies...
error: target not found: lib32-libstdc++5
==> ERROR: 'pacman' failed to install missing dependencies.
==> Missing dependencies:
  -> lib32-libstdc++5
==> Checking buildtime dependencies...
==> ERROR: Could not resolve all dependencies.

Thanks in advance!

postblue commented on 2020-05-21 09:35

@set-l How are you installing?

Using makepkg in a directory with the PKGBUILD and the .sh file, it compiles without any problem.

The lib32-* packages are in the [multilib] directory that should be uncommented in /etc/pacman.conf. Source

git clone https://aur.archlinux.org/gog-risk-of-rain.git
mv gog_risk_of_rain_2.1.0.6.sh gog-risk-of-rain
cd gog-risk-of-rain
makepkg -sri

set-l commented on 2020-05-17 01:11

This PKGBUILD does not install lib32 dependencies.